Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2015-02-19 23:182015-04-10 10:14
ReporterreinaldoguerraView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revision9a563be5f58d
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-02-20
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/0b033ca5bd1b08e81a30cfdbab2b459549d8c17c [^]
Triggers an Emergency PackNo
Summary

0029449: Error in log when typing a wrong filter in Manage Reservation Stock pop-up

DescriptionWhen typing a wrong filter in some columns in Manage Reservation Stock pop-up, an error is registerd in the log.
Steps To Reproduce1- Login into Openbravo ERP
2- As group admin role, set the Enable Stock Reservation preference to 'Y'
3- Logout and login again
4- Go to Sales Order window and create a header.
5- Go to lines and create a new one, select a product that has stock (for example Vino Blanco)
6- Book it
7- Go to the lines tab and open the Manage Reservation pop-up
8- Type a wrong filter in warehouse's column and check no records are shown but:
   The logs shows: ERROR org.openbravo.client.kernel.KernelUtils - unexpected end of subtree
   
Note: Same occurs from Stock reservation window
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00290033.0PR15Q2 closedreinaldoguerra Error in log when typing a wrong filter in Manage Reservation Stock pop-up 

-  Notes
(0076412)
hgbot (developer)
2015-04-09 12:44

Repository: erp/backports/3.0PR15Q1.3
Changeset: 9a563be5f58d3772b4bcd1be275cab2a6d506243
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Thu Apr 09 12:26:23 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/9a563be5f58d3772b4bcd1be275cab2a6d506243 [^]

Fixes bug 29448, Fixes bug 29447, Fixes bug 29449

The following changes was made in Stock Reservation pick and edit:
When filters are executed, a Reservation entity is created from the json parameter @MaterialMgmtReservation.id@. This works fine when the pop-up is called from Stock Reservation window, but from Sales Order, this parameter does not exists, and the filter process fails. Now is included a code line that puts a @MaterialMgmtReservation.id@ into the json parameters before the filters are applied.
Array critera filtering was bad created when getting grid's data, so was changed, to allow filter's multiple selection.
An hibernate exception is launched when typing wrong filters and the expression 'in ()' is included in the query to be executed. So this expression was replaced by one which returns a false value: '1 = 2'
Were included also, changes to allow filtering quantity's column. Other changes were included to avoid exceptions comparing to null values.

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0076414)
hgbot (developer)
2015-04-09 12:44

Repository: erp/backports/3.0PR15Q1.3
Changeset: 5d06377ed9132804d03372d118dc3b0645f5e551
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Thu Apr 09 12:32:22 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/5d06377ed9132804d03372d118dc3b0645f5e551 [^]

Related to bug 29449: Avoid exception

Avoid exceptions in getOrderLineSetValueFilterData and getAttributeSetValueFilterData methods

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0076415)
hgbot (developer)
2015-04-09 12:44

Repository: erp/backports/3.0PR15Q1.3
Changeset: 9d90a58aa24115ac95ce2a8bc3746666fa27b989
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Thu Apr 09 12:38:55 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/9d90a58aa24115ac95ce2a8bc3746666fa27b989 [^]

Related to bug 29449: Avoid exception when filtering by number

Avoid exceptions when retrieving the value of the filter in number-type columns and the value is not a number

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0076418)
umartirena (developer)
2015-04-09 12:46

Code Review + Testing OK.

Issue fixed by Reinaldo Guerra

- Issue History
Date Modified Username Field Change
2015-03-27 14:52 aferraz Type defect => backport
2015-03-27 14:52 aferraz Target Version => 3.0PR15Q1.3
2015-04-09 12:44 hgbot Checkin
2015-04-09 12:44 hgbot Note Added: 0076412
2015-04-09 12:44 hgbot Status scheduled => resolved
2015-04-09 12:44 hgbot Resolution open => fixed
2015-04-09 12:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4f00f31f65e1024bf0a9e985297f8bef5746b68f [^] => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/9a563be5f58d3772b4bcd1be275cab2a6d506243 [^]
2015-04-09 12:44 hgbot Checkin
2015-04-09 12:44 hgbot Note Added: 0076414
2015-04-09 12:44 hgbot Checkin
2015-04-09 12:44 hgbot Note Added: 0076415
2015-04-09 12:46 umartirena Review Assigned To aferraz => umartirena
2015-04-09 12:46 umartirena Note Added: 0076418
2015-04-09 12:46 umartirena Status resolved => closed
2015-04-09 12:46 umartirena Fixed in Version => 3.0PR15Q1.3
2015-04-10 10:14 dmitry_mezentsev Tag Attached: Approved


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker